From a8290f017a84d969e2bcd8eff6ce68189a911362 Mon Sep 17 00:00:00 2001
From: "Jonathan S. Katz" <jonathan.katz@excoventures.com>
Date: Sun, 29 Sep 2019 23:06:16 -0400
Subject: [PATCH 1/3] Press kit for the PostgreSQL 12 release.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Updated the press kit page for the content related to PostgreSQL 12.
This includes translations of the press release into the following
languages with credits to the people who helped:

- Chinese (Daojing Zhou)
- French (Stéphane A. Schildknect, Jean-Christophe Arnu)
- German (Andreas 'ads' Scherbaum, Andreas Kretschmer)
- Hebrew (Michael Goldberg)
- Japanese (Haruka Takatsuka)
- Portuguese (Euler Taveira)
- Russian (Nikolay Samokhvalov)
- Spanish (Mariano Reingart)
---
 templates/pages/about/press.html                 |  42 +++--
 templates/pages/about/press/presskit12/base.html | 165 ++++++++++++++++++
 templates/pages/about/press/presskit12/de.html   | 194 +++++++++++++++++++++
 templates/pages/about/press/presskit12/en.html   | 170 +++++++++++++++++++
 templates/pages/about/press/presskit12/es.html   | 195 +++++++++++++++++++++
 templates/pages/about/press/presskit12/fr.html   | 206 +++++++++++++++++++++++
 templates/pages/about/press/presskit12/he.html   |  66 ++++++++
 templates/pages/about/press/presskit12/ja.html   |  82 +++++++++
 templates/pages/about/press/presskit12/pt.html   | 193 +++++++++++++++++++++
 templates/pages/about/press/presskit12/ru.html   | 202 ++++++++++++++++++++++
 templates/pages/about/press/presskit12/zh.html   |  85 ++++++++++
 11 files changed, 1584 insertions(+), 16 deletions(-)
 create mode 100644 templates/pages/about/press/presskit12/base.html
 create mode 100644 templates/pages/about/press/presskit12/de.html
 create mode 100644 templates/pages/about/press/presskit12/en.html
 create mode 100644 templates/pages/about/press/presskit12/es.html
 create mode 100644 templates/pages/about/press/presskit12/fr.html
 create mode 100644 templates/pages/about/press/presskit12/he.html
 create mode 100644 templates/pages/about/press/presskit12/ja.html
 create mode 100644 templates/pages/about/press/presskit12/pt.html
 create mode 100644 templates/pages/about/press/presskit12/ru.html
 create mode 100644 templates/pages/about/press/presskit12/zh.html

diff --git a/templates/pages/about/press.html b/templates/pages/about/press.html
index d0dc241b..2053f8bd 100644
--- a/templates/pages/about/press.html
+++ b/templates/pages/about/press.html
@@ -9,30 +9,40 @@
   <a href="mailto:press@postgresql.org">press@postgresql.org</a>
 </p>
 
-<h2>PostgreSQL 11 Press Information</h2>
+<h2>PostgreSQL 12 Press Information</h2>
 
 <ul>
-<li><a href="/about/press/presskit11">Press Kit</a></li>
+<li><a href="/about/press/presskit12">Press Kit</a></li>
 <li><a href="/about/press/faq/">Frequently Asked Questions</a></li>
 </ul>
 
 <h2>Press Kit in Other Languages</h2>
 
 <ul>
-  <li><a href="/about/press/presskit11/my/">Burmese</a></li>
-  <li><a href="/about/press/presskit11/cn/">Chinese</a></li>
-  <li><a href="/about/press/presskit11/fr/">French</a></li>
-  <li><a href="/about/press/presskit11/de/">German</a></li>
-  <li><a href="/about/press/presskit11/he/">Hebrew</a></li>
-  <li><a href="/about/press/presskit11/id/">Indonesian</a></li>
-  <li><a href="/about/press/presskit11/it/">Italian</a></li>
-  <li><a href="/about/press/presskit11/jp/">Japanese</a></li>
-  <li><a href="/about/press/presskit11/kr/">Korean</a></li>
-  <li><a href="/about/press/presskit11/pt/">Portuguese</a></li>
-  <li><a href="/about/press/presskit11/ru/">Russian</a></li>
-  <li><a href="/about/press/presskit11/es/">Spanish</a></li>
-  <li><a href="/about/press/presskit11/th/">Thai</a></li>
-  <li><a href="/about/press/presskit11/vi/">Vietnamese</a></li>
+  <li>
+    <span lang="zh"><a href="/about/press/presskit12/zh/">Chinese</a></span>
+  </li>
+  <li>
+    <span lang="fr"><a href="/about/press/presskit12/fr/">French</a></span>
+  </li>
+  <li>
+    <span lang="de"><a href="/about/press/presskit12/de/">German</a></span>
+  </li>
+  <li>
+    <span lang="he"><a href="/about/press/presskit12/he/">Hebrew</a></span>
+  </li>
+  <li>
+    <span lang="ja"><a href="/about/press/presskit12/ja/">Japanese</a></span>
+  </li>
+  <li>
+    <span lang="pt"><a href="/about/press/presskit12/pt/">Portuguese</a></span>
+  </li>
+  <li>
+    <span lang="ru"><a href="/about/press/presskit12/ru/">Russian</a></span>
+  </li>
+  <li>
+    <span lang="es"><a href="/about/press/presskit12/es/">Spanish</a></span>
+  </li>
 </ul>
 
 {%endblock%}
diff --git a/templates/pages/about/press/presskit12/base.html b/templates/pages/about/press/presskit12/base.html
new file mode 100644
index 00000000..752b2607
--- /dev/null
+++ b/templates/pages/about/press/presskit12/base.html
@@ -0,0 +1,165 @@
+{%extends "base/page.html"%}
+{%block title%}PostgreSQL 12 Press Kit{%endblock%}
+{%block contents%}
+
+<div><span>This page in:
+    <span lang="zh"><a href="/about/press/presskit12/zh/">Chinese</a></span>
+    / <span lang="en"><a href="/about/press/presskit12/">English</a></span>
+    / <span lang="de"><a href="/about/press/presskit12/fr/">French</a></span>
+    / <span lang="de"><a href="/about/press/presskit12/de/">German</a></span>
+    / <span lang="he"><a href="/about/press/presskit12/he/">Hebrew</a></span>
+    / <span lang="ja"><a href="/about/press/presskit12/ja/">Japanese</a></span>
+    / <span lang="pt"><a href="/about/press/presskit12/pt/">Portuguese</a></span>
+    / <span lang="ru"><a href="/about/press/presskit12/ru/">Russian</a></span>
+    / <span lang="es"><a href="/about/press/presskit12/es/">Spanish</a></span><br/><br/>
+</div>
+
+<h1>
+  PostgreSQL 12 Press Kit {% block presskit_language %}{% endblock presskit_language %}
+  <img class="logo" src="/media/img/about/press/elephant.png" alt="PostgreSQL Elephant Logo" />
+</h1>
+
+<h2>Contents</h2>
+
+<ul>
+  <li><a href="#original_release">Original Press Release</a></li>
+  <li><a href="#about">About PostgreSQL</a></li>
+  <li><a href="#features">More About The Features</a></li>
+  <li><a href="#download">Where to Download</a></li>
+  <li><a href="#docs">Documentation</a></li>
+  <li><a href="#licence">Licence</a></li>
+  <li><a href="#contact">Contacts</a></li>
+  <li><a href="#graphics">Images and Logos</a></li>
+  <li><a href="#companies">Corporate Support</a></li>
+</ul>
+
+<a name="original_release"></a><h2>Original Press Release</h2>
+
+{% block presskit_content %}{% endblock presskit_content %}
+
+<a name="about"></a>
+{% block presskit_about %}
+<h2>About PostgreSQL</h2>
+
+<p>
+  PostgreSQL is the world's most advanced open source database, with a global
+  community of thousands of users, contributors, companies and organizations.
+  The PostgreSQL Project builds on over 30 years of engineering, starting at the
+  University of California, Berkeley, and has continued with an unmatched pace
+  of development. PostgreSQL's mature feature set not only matches top
+  proprietary database systems, but exceeds them in advanced database features,
+  extensibility, security, and stability.
+</p>
+
+<p>
+  Learn more about PostgreSQL and participate in our community at
+  <a href="/">PostgreSQL.org</a>.
+</p>
+{% endblock presskit_about %}
+
+<a name="features"></a><h2>More About the Features</h2>
+<p>
+For explanations of the above features and others, please see the following
+resources:
+</p>
+<ul>
+  <li><a href="/docs/12/release-12.html">Release Notes</a></li>
+  <li><a href="/about/featurematrix/">Feature Matrix</a></li>
+  <li><a href="https://momjian.us/main/writings/pgsql/features.pdf" target="_blank">Major Features Slide Deck</a></li>
+  <li><a href="https://www.hagander.net/talks/PostgreSQL%2012.pdf" target="_blank">Major Features Slide Deck (2)</a></li>
+</ul>
+
+<a name="download"></a><h2>Where to Download</h2>
+
+<p>There are several ways you can download PostgreSQL 12, including:</p>
+
+<ul>
+  <li>
+    The <a href="/download/">Official Downloads</a> page, with contains
+    installers and tools for <a href="/download/windows/">Windows</a>, <a href="/download/">Linux</a>,
+    <a href="https://www.postgresql.org/download/macosx/">macOS</a>,
+    <a href="/download/">BSD</a>, <a href="/download/solaris/">Solaris</a>, and more
+  </li>
+  <li><a href="/ftp/source/v12.0">Source Code</a></li>
+</ul>
+
+Other tools and extensions are available on the
+<a href="http://pgxn.org">PostgreSQL Extension Network</a>.
+
+<a name="docs"></a><h2>Documentation</h2>
+
+<p>
+PostgreSQL 12 comes with HTML documentation HTML documentation as well as man
+pages, and you can also browse the documentation online in both
+<a href="/docs/12/">HTML</a> and
+<a href="/files/documentation/pdf/12/postgresql-12-US.pdf">PDF</a> formats.
+</p>
+
+<a name="licence"></a><h2>Licence</h2>
+<p>
+PostgreSQL uses the <a href="/about/licence/">PostgreSQL License</a>, a BSD-like
+&quot;permissive&quot; license. This
+<a href="http://www.opensource.org/licenses/postgresql/">OSI-certified license
+</a> is widely appreciated as flexible and business-friendly, since it does not
+restrict the use of PostgreSQL with commercial and proprietary applications.
+Together with multi-company support and public ownership of the code, our
+license makes PostgreSQL very popular with vendors wanting to embed a database
+in their own products without fear of fees, vendor lock-in, or changes in
+licensing terms.
+</p>
+
+<a name="contact"></a><h2>Contacts</h2>
+
+<p>Website</p>
+<ul>
+  <li><a href="https://www.postgresql.org/">https://www.postgresql.org/</a></li>
+</ul>
+
+<p>Email</p>
+<ul>
+  <li><a href="mailto:press@postgresql.org">press@postgresql.org</a></li>
+</ul>
+
+<a name="graphics"><h2>Images and Logos</h2></a>
+
+<img src="https://www.postgresql.org/media/img/about/press/elephant64.png" alt="PostgreSQL Logo" />
+
+<ul>
+  <li>
+    <a href="https://www.postgresql.org/media/img/about/press/elephant.png">
+      PostgreSQL Elephant Logo, PNG format
+    </a>
+  </li>
+  <li>
+    <a href="https://www.postgresql.org/media/img/about/press/elephant64.png">
+      PostgreSQL Elephant Icon
+    </a>
+  </li>
+  <li>
+    <a href="https://www.postgresql.org/media/img/about/press/slonik_with_black_text_and_tagline.gif">
+      PostgreSQL Banner with Logo, Elephant and Slogan
+    </a>
+  </li>
+</ul>
+
+<p>
+  All logos are available for modification and redistribution under The
+  <a href="/about/licence/">PostgreSQL Licence</a>.  The PostgreSQL name and
+  logo are trademarks of The PostgreSQL Community Association of Canada.
+</p>
+
+<a name="companies"></a><h2>Corporate Support</h2>
+
+<p>PostgreSQL enjoys the support of numerous companies, who sponsor developers,
+  provide hosting resources, and give us financial support.  See our
+  <a href="/about/sponsors/">sponsors page</a> for
+  some of these project supporters.</p>
+
+<p>There is also a large community of
+  <a href="/support/professional_support/">companies offering PostgreSQL Support
+  </a>, from individual consultants to multinational companies.</p>
+
+<p>If you wish to make a financial contribution to the PostgreSQL Global
+  Development Group or one of the recognized community non-profit organizations,
+  please visit our <a href="/about/donate/">donations</a> page.</p>
+{% endblock %}
diff --git a/templates/pages/about/press/presskit12/de.html b/templates/pages/about/press/presskit12/de.html
new file mode 100644
index 00000000..5a77c8ef
--- /dev/null
+++ b/templates/pages/about/press/presskit12/de.html
@@ -0,0 +1,194 @@
+{% extends "pages/about/press/presskit12/base.html" %}
+
+{% block presskit_content %}
+<h1>PostgreSQL 12 erschienen!</h1>
+
+<p>
+  Die PostgreSQL Global Development Group hat heute die Veröffentlichung von
+  PostgreSQL 12, der aktuellsten Version des weltweit führenden
+  Open-Source-SQL-Datenbanksystems, bekannt gegeben.
+</p>
+
+<p>
+  Zu den bemerkenswerten Neuerungen in PostgreSQL 12 gehören Verbesserungen der
+  Performance, insbesondere bei größeren Datenmengen, und der allgemeinen
+  Speicherplatznutzung. Diese Version bietet Anwendungsentwicklern neue
+  Funktionen wie die Unterstützung von SQL / JSONPATH-Funktionen, Optimierungen
+  bei der Ausführung von Abfragen mit Common Table Expressions (<code>WITH</code>), sowie
+  Generated Columns. Die PostgreSQL-Community unterstützt weiterhin die
+  Erweiterbarkeit und Robustheit von PostgreSQL, ergänzt die
+  Internationalisierung und Authentifizierung und bietet einfachere
+  Möglichkeiten zur Verwaltung von PostgreSQL. In dieser Version wird auch die
+  Schnittstelle für Pluggable Storage eingeführt, mit der Entwickler ihre
+  eigenen Methoden zum Speichern von Daten erstellen können.
+</p>
+
+<p>
+  "Die Entwicklergemeinschaft hinter PostgreSQL steuert Fähigkeiten für
+  PostgreSQL 12 bei, die eine bessere Geschwindigkeit und bessere
+  Speicherplatznutzung bieten, die unsere Anwender mit geringen Aufwand nutzen
+  können. Dies betrifft auch Verbesserungen in Enterprise Authentifizierung,
+  optimierten Verwaltungsfunktionen, und Unterstützung für SQL/JSON.", sagte
+  Dave Page, ein Core-Team - Mitglied der Global Development Group. "Diese
+  Version setzt den Trend fort, das Handling der Arbeit mit der Datenbank für
+  große und kleine Workloads zu vereinfachen, und verbessert den guten Ruf von
+  PostgreSQL für Flexibilität, Sicherheit und Stabilität in produktiven
+  Anwendungen."
+</p>
+
+<p>
+  PostgreSQL profitiert von über 20 Jahren Open-Source-Entwicklung und ist zur bevorzugten relationalen Open-Source-Datenbank für Unternehmen jeder Größe geworden. Das Projekt wird branchenübergreifend anerkannt. So wurde es 2018 zum zweiten Mal in Folge von DB-Engines als "DBMS des Jahres" ausgezeichnet und auf der OSCON 2019 mit dem Open Source "Lifetime Achievement" Award ausgezeichnet.
+</p>
+
+<h3>Allgemeine Geschwindigkeitsverbesserungen</h3>
+
+<p>
+  PostgreSQL 12 bietet erhebliche Leistungs- und Wartungsverbesserungen für
+  Indizes und die Partitionierung.
+</p>
+
+<p>
+  B-Tree-Indizes, der Standardtyp für die Indizierung in PostgreSQL, wurden in
+  PostgreSQL 12 optimiert. Anfragen bei denen sich die Indizes häufig ändern,
+  werden nun besser gehandhabt. Unter Verwendung des Fair-Use TPC-C-Benchmarks
+  zeigte PostgreSQL 12 im Durchschnitt eine Reduzierung der Speicherplatznutzung
+  um 40% und einen allgemeinen Anstieg der Performance.
+</p>
+
+<p>
+  Abfragen auf partitionierten Tabellen haben ebenfalls nachweisbare
+  Verbesserungen ergeben, insbesondere bei Tabellen mit Tausenden von
+  Partitionen, die nur Daten aus einer begrenzten Teilmenge abrufen müssen.
+  PostgreSQL 12 verbessert ebenfalls die Leistung beim Hinzufügen von Daten zu
+  partitionierten Tabellen mit <code>INSERT</code> und <code>COPY</code>, und
+  bietet die Möglichkeit, eine neue Partition an eine Tabelle anzuhängen, ohne
+  andere Abfragen zu blockieren.
+</p>
+
+<p>
+  Es gibt weitere Verbesserungen bei der Indizierung in PostgreSQL 12, die sich
+  auf die Gesamtleistung auswirken, einschließlich eines verringerten Overheads
+  bei der Write-Ahead-Protokollgenerierung für die Indextypen GiST, GIN und
+  SP-GiST sowie der Möglichkeit, für GiST-Indexe "covering" Indizes zu erstellen
+  (mit Hilfe der <code>INCLUDE</code> Klausel),  die Möglichkeit, mit dem
+  Distanzoperator (<code>&lt;-&gt;</code>) mithilfe von SP-GiST-Indizes Abfragen nach
+  K-nächsten Nachbarn durchzuführen, und <code>CREATE STATISTICS</code>
+  unterstützt jetzt MCV-Statistiken (Most Common Value), um besserer
+  Abfragepläne für Spalten, die ungleichmäßig verteilt sind, zu erstellen.
+</p>
+
+<p>
+  Die in PostgreSQL 11 eingeführte Just-in-Time-Kompilierung (JIT) mit LLVM ist
+  jetzt standardmäßig aktiviert. Die JIT-Kompilierung bietet Leistungsvorteile
+  bei der Ausführung von Ausdrücken in <code>WHERE</code>-Klauseln, Target Lists, Aggregaten
+  und einigen internen Operationen. Dieses Feature ist verfügbar, wenn die
+  PostgreSQL-Installation mit LLVM kompiliert ist.
+</p>
+
+<h3>Verbesserungen der SQL-Konformität und -Funktionalität</h3>
+
+<p>
+  PostgreSQL ist bekannt für seine Konformität mit dem SQL-Standard - ein Grund,
+  warum es von "POSTGRES" in "PostgreSQL" umbenannt wurde - und PostgreSQL 12
+  fügt mehrere Funktionen hinzu, um die Implementierung des SQL-Standards mit
+  verbesserter Funktionalität fortzusetzen.
+</p>
+
+<p>
+  PostgreSQL 12 eröffnet die Möglichkeit, Abfragen über JSON-Dokumente mithilfe
+  von JSON-PATH Ausdrücken auszuführen, die im SQL / JSON-Standard definiert
+  sind. Solche Abfragen können die vorhandenen Indizierungsmechanismen für
+  Dokumente verwenden, die im <code>JSONB</code>-Format gespeichert sind, um
+  Daten effizient abzurufen.
+</p>
+
+<p>
+  Common table expressions, auch als <code>WITH</code> -Abfragen bezeichnet,
+  können jetzt vom PostgreSQL 12 Planer automatisch "inline" ausgeführt werden,
+  wodurch die Leistung vieler vorhandener Abfragen gesteigert werden kann. In
+  dieser Version kann eine <code>WITH</code>-Abfrage "inline" ausgeführt werden,
+  wenn sie nicht rekursiv ist, keine Nebenwirkungen hat und in einem späteren
+  Teil einer Abfrage nur einmal referenziert wird.
+</p>
+
+<p>
+  PostgreSQL 12 führt "generated columns" ein. Dieser im SQL-Standard definierte
+  Spaltentyp berechnet seinen Wert aus dem Inhalt anderer Spalten in derselben
+  Tabelle. In dieser Version unterstützt PostgreSQL "stored generated columns",
+  bei denen der berechnete Wert auf der Festplatte gespeichert wird.
+</p>
+
+<h3>Internationalisierung</h3>
+
+<p>
+  PostgreSQL 12 erweitert die Unterstützung von ICU-Kollationen, indem es
+  Benutzern ermöglicht, "nondeterministic collations" zu definieren, die
+  beispielsweise Vergleiche ohne Berücksichtigung von Groß- und Kleinschreibung
+  oder ohne Berücksichtigung von Akzenten ermöglichen.
+</p>
+
+<h3>Authentifizierung</h3>
+
+<p>
+  PostgreSQL erweitert seine robuste Unterstützung für
+  Authentifizierungsmethoden um mehrere Erweiterungen, die zusätzliche
+  Sicherheit und Funktionalität bieten. In dieser Version werden sowohl die
+  clientseitige als auch die serverseitige Verschlüsselung für die
+  Authentifizierung über GSSAPI-Schnittstellen eingeführt, sowie die Fähigkeit
+  LDAP-Server zu erkennen, wenn PostgreSQL mit Unterstützung für OpenLDAP
+  kompiliert ist.
+</p>
+
+<p>
+  Zusätzlich unterstützt PostgreSQL 12 jetzt eine Form der
+  Multifaktor-Authentifizierung. Ein PostgreSQL-Server kann nun von einem
+  authentifizierenden Client verlangen, dass dieser mit der Option
+  <code>clientcert=verify-full</code> ein gültiges SSL-Zertifikat mit seinem
+  Benutzernamen bereitstellt, und dies mit der Anforderung einer separaten
+  Authentifizierungsmethode (z. B. <code>scram-sha-256</code>) kombinieren.
+</p>
+
+<h3>Administration</h3>
+
+<p>
+  PostgreSQL 12 bietet die Möglichkeit, Indizes mittels
+  <code>REINDEX CONCURRENTLY</code> zu erneuern, ohne Schreibvorgänge in einen
+  Index zu blockieren. Auf diese Weise können Benutzer Ausfallzeiten durch
+  langwieriges Neuerstellen eines Index vermeiden.
+</p>
+
+<p>
+  Zusätzlich kann PostgreSQL 12 nun Prüfsummen für Speicherseiten mittels des
+  <code>pg_checksums</code> - Tools ein- oder ausschalten, während die Datenbank
+  offline ist. Vorher konnten  Page Checksums, die bei der Integritätsprüfung
+  der auf Festplatte gespeicherten Daten helfen, nur während der Initialisierung
+  des Clusters mittels <code>initdb</code> eingeschaltet werden.
+</p>
+
+<p>
+  Die komplette Liste der Features in diesem Release ist in den Release Notes
+  enthalten, die hier zu finden sind:
+  <a href="/docs/12/release-12.html">https://www.postgresql.org/docs/12/release-12.html</a>
+</p>
+{% endblock presskit_content %}
+
+{% block presskit_about %}
+<h2>Über PostgreSQL</h2>
+
+<p>
+  <a href="/">PostgreSQL</a> ist das führende Open-Source Datenbanksystem, mit
+  einer weltweiten Community bestehend aus Tausenden von Nutzern und
+  Mitwirkenden sowie Dutzenden von Firmen und Organisationen. Das PostgreSQL
+  Projekt baut auf über 30 Jahre Erfahrung auf, beginnend an der University of
+  California, Berkeley, und hat heute eine nicht zu vergleichende Performance
+  bei der Entwicklung. PostgreSQL's ausgereiftes Feature Set ist nicht nur mit
+  den führenden proprietären Datenbanksystemen vergleichbar, sondern übertrifft
+  diese in erweiterten Datenbankfunktionen, Erweiterbarkeit, Sicherheit und
+  Stabilität.
+</p>
+
+<p>
+  Lerne mehr über PostgreSQL und nimm an unserer Community teil, unter:
+  <a href="/">PostgreSQL.org</a>.
+</p>
+{% endblock presskit_about %}
diff --git a/templates/pages/about/press/presskit12/en.html b/templates/pages/about/press/presskit12/en.html
new file mode 100644
index 00000000..04fd83e2
--- /dev/null
+++ b/templates/pages/about/press/presskit12/en.html
@@ -0,0 +1,170 @@
+{% extends "pages/about/press/presskit12/base.html" %}
+
+{% block presskit_content %}
+<h1>PostgreSQL 12 Released!</h1>
+
+<p>
+  <strong>OCTOBER 3, 2019</strong> - The PostgreSQL Global Development Group
+  today announced the release of <a href="/about/news/1976/">PostgreSQL 12</a>,
+  the latest version of the world's <a href="/">most advanced open source database</a>.
+</p>
+
+<p>
+  PostgreSQL 12 enhancements include notable improvements to query performance,
+  particularly over larger data sets, and overall space utilization. This
+  release provides application developers with new capabilities such as SQL/JSON
+  path expression support, optimizations for how common table expression
+  (<code>WITH</code>) queries are executed, and generated columns. The
+  PostgreSQL community continues to support the extensibility and robustness of
+  PostgreSQL, with further additions to internationalization, authentication,
+  and providing easier ways to administrate PostgreSQL. This release also
+  introduces the pluggable table storage interface, which allows developers to
+  create their own methods for storing data.
+</p>
+
+<p>
+  "The development community behind PostgreSQL contributed features for
+  PostgreSQL 12 that offer performance and space management gains that our users
+  can achieve with minimal effort, as well as improvements in enterprise
+  authentication, administration functionality, and SQL/JSON support." said Dave
+  Page, a <a href="/developer/core/">core team member</a> of the PostgreSQL
+  Global Development Group. "This release continues the trend of making it
+  easier to manage database workloads large and small while building on
+  PostgreSQL's reputation of flexibility, reliability and stability in
+  production environments."
+</p>
+
+<p>
+  PostgreSQL benefits from over 20 years of open source development and has
+  become the preferred open source relational database for organizations of all
+  sizes. The project continues to receive recognition across the industry,
+  including being featured for the second year in a row as the
+  <a href="https://db-engines.com/en/blog_post/79" target="_blank">"DBMS of the Year" in 2018</a>
+  by DB-Engines and receiving the
+  <a href="https://www.oreilly.com/radar/oreilly-open-source-and-frank-willison-awards-19/" target="_blank">"Lifetime Achievement" open source award</a>
+  at OSCON 2019.
+</p>
+
+<h3>Overall Performance Improvements</h3>
+
+<p>
+  PostgreSQL 12 provides significant performance and maintenance enhancements to
+  its indexing system and to partitioning.
+</p>
+
+<p>
+  B-tree Indexes, the standard type of indexing in PostgreSQL, have been
+  optimized in PostgreSQL 12 to better handle workloads where the indexes are
+  frequently modified. Using a fair use implementation of the TPC-C benchmark,
+  PostgreSQL 12 demonstrated on average a 40% reduction in space utilization and
+  an overall gain in query performance.
+</p>
+
+<p>
+  Queries on partitioned tables have also seen demonstrable improvements,
+  particularly for tables with thousands of partitions that only need to
+  retrieve data from a limited subset. PostgreSQL 12 also improves the
+  performance of adding data to partitioned tables with <a href="/docs/12/sql-insert.html"><code>INSERT</code></a>
+  and <a href="/docs/12/sql-copy.html"><code>COPY</code></a>, and includes the
+  ability to attach a new partition to a table without blocking queries.
+</p>
+
+<p>
+  There are additional enhancements to indexing in PostgreSQL 12 that affect
+  overall performance, including lower overhead in write-ahead log generation
+  for the GiST, GIN, and SP-GiST index types, the ability to create covering
+  indexes (the <a href="/docs/12/indexes-index-only-scans.html"><code>INCLUDE</code></a> clause) on GiST indexes, the ability to perform
+  K-nearest neighbor queries with the distance operator (<code>&lt;-&gt;</code>) using
+  SP-GiST indexes, and <a href="/docs/12/sql-createstatistics.html"><code>CREATE STATISTICS</code></a>
+  now supporting most-common value (MCV) statistics to help generate better
+  query plans when using columns that are nonuniformly distributed.
+</p>
+
+<p>
+  <a href="/docs/12/jit.html">Just-in-time (JIT) compilation</a> using LLVM, introduced in PostgreSQL 11, is now
+  enabled by default. JIT compilation can provide performance benefits to the
+  execution of expressions in <code>WHERE</code> clauses, target lists, aggregates, and some
+  internal operations, and is available if your PostgreSQL installation is
+  compiled or packaged with LLVM.
+</p>
+
+<h3>Enhancements to SQL Conformance & Functionality</h3>
+
+<p>
+  PostgreSQL is known for its conformance to the SQL standard - one reason why
+  it was renamed from "POSTGRES" to "PostgreSQL" - and PostgreSQL 12 adds
+  several features to continue its implementation of the SQL standard with
+  enhanced functionality.
+</p>
+
+<p>
+  PostgreSQL 12 introduces the ability to run queries over JSON documents using
+  <a href="/docs/12/functions-json.html#FUNCTIONS-SQLJSON-PATH">JSON path expressions</a>
+  defined in the SQL/JSON standard. Such queries may utilize the existing
+  indexing mechanisms for documents stored in the <a href="/docs/12/datatype-json.html"><code>JSONB</code></a>
+  format to efficiently retrieve data.
+</p>
+
+<p>
+  Common table expressions, also known as <code>WITH</code> queries, can now be
+  automatically inlined by PostgreSQL 12, which in turn can help increase the
+  performance of many existing queries. In this release, a <code>WITH</code>
+  query can be inlined if it is not recursive, does not have any side-effects,
+  and is only referenced once in a later part of a query.
+</p>
+
+<p>
+  PostgreSQL 12 introduces "<a href="/docs/12/ddl-generated-columns.html">generated columns</a>." Defined in the SQL standard,
+  this type of column computes its value from the contents of other columns in
+  the same table. In this version, PostgreSQL supports
+  "stored generated columns," where the computed value is stored on the disk.
+</p>
+
+<h3>Internationalization</h3>
+
+<p>
+  PostgreSQL 12 extends its support of ICU collations by allowing users to
+  define "<a href="/docs/12/collation.html#COLLATION-NONDETERMINISTIC">nondeterministic collations</a>"
+  that can, for example, allow case-insensitive or accent-insensitive comparisons.
+</p>
+
+<h3>Authentication</h3>
+
+<p>
+  PostgreSQL expands on its robust authentication method support with several
+  enhancements that provide additional security and functionality. This release
+  introduces both client and server-side encryption for authentication over
+  GSSAPI interfaces, as well as the ability for PostgreSQL to discover LDAP
+  servers if PostgreSQL is compiled with OpenLDAP.
+</p>
+
+<p>
+  Additionally, PostgreSQL 12 now supports a form of multifactor authentication.
+  A PostgreSQL server can now require an authenticating client to provide a
+  valid SSL certificate with their username using the <code>clientcert=verify-full</code>
+  option and combine this with the requirement of a separate authentication
+  method (e.g. <code>scram-sha-256</code>).
+</p>
+
+<h3>Administration</h3>
+
+<p>
+  PostgreSQL 12 introduces the ability to rebuild indexes without blocking
+  writes to an index via the
+  <a href="/docs/12/sql-reindex.html#SQL-REINDEX-CONCURRENTLY"><code>REINDEX CONCURRENTLY</code></a>
+  command, allowing users to avoid downtime scenarios for lengthy index rebuilds.
+</p>
+
+<p>
+  Additionally, PostgreSQL 12 can now enable or disable page checksums in an
+  offline cluster using the <a href="/docs/12/app-pgchecksums.html"><code>pg_checksums</code></a> command. Previously page
+  checksums, a feature to help verify the integrity of data stored to disk, could only be
+  enabled at the time a PostgreSQL cluster was initialized with <code>initdb</code>.
+</p>
+
+<p>
+  For a full list of features included in this release, please read the
+  <a href="/docs/12/release-12.html">release notes</a>, which can be found at:
+  <a href="/docs/12/release-12.html">https://www.postgresql.org/docs/12/release-12.html</a>
+</p>
+{% endblock presskit_content %}
diff --git a/templates/pages/about/press/presskit12/es.html b/templates/pages/about/press/presskit12/es.html
new file mode 100644
index 00000000..cb2a92c4
--- /dev/null
+++ b/templates/pages/about/press/presskit12/es.html
@@ -0,0 +1,195 @@
+{% extends "pages/about/press/presskit12/base.html" %}
+
+{% block presskit_content %}
+<h1>PostgreSQL 12 Liberado!</h1>
+
+<p>
+  El Grupo Global de Desarrolladores de PostgreSQL anuncia hoy el lanzamiento de
+  PostgreSQL 12, la versión más reciente de la base de datos de código abierto
+  más avanzada en el mundo.
+</p>
+
+<p>
+  PostgreSQL 12 incluye notables mejoras en el rendimiento de consultas y
+  utilización de espacio, particularmente sobre grandes conjuntos de datos. Esta
+  versión provee nuevas características a los desarrolladores de aplicaciones
+  como el soporte a expresiones de rutas SQL/JSON, optimizaciones a la ejecución
+  de expresiones de tablas comunes (<code>WITH</code>) y columnas generadas. La
+  comunidad PostgreSQL continua con el soporte a la extensibilidad y robustez de
+  PostgreSQL, con más adiciones a la internacionalización, autenticación, y
+  proveyendo maneras más simples para administrar PostgreSQL. Esta versión
+  también introduce la interfaz de almacenamiento de tablas <em>pluggable</em>,
+  que permite a los desarrolladores crear sus propios métodos para guardar los
+  datos.
+</p>
+
+<p>
+  "La comunidad de desarrollo detrás de PostgreSQL ha contribuido con
+  características para PostgreSQL 12 que ofrecen ganancias en rendimiento y
+  manejo de espacio que nuestros usuarios pueden aprovechar con mínimos
+  esfuerzos, como también mejoras en autenticación de grado empresarial,
+  funcionalidades administrativas, y soporte SQL/JSON." dice Dave Page, miembro
+  del <em>core team</em> del Grupo Global de Desarrolladores de PostgreSQL.
+  "Esta versión continua con la tendencia de hacer más fácil la administración
+  de cargas de trabajo de bases de datos grandes o reducidas, asentando en la
+  reputación sobre flexibilidad, confiabilidad y estabilidad de PostgreSQL en
+  ambientes productivos."
+</p>
+
+<p>
+  PostgreSQL se beneficia de más de 20 años de desarrollo de código abierto y se
+  ha convertido en el gestor de bases de datos relacionales open source
+  preferido para organizaciones de todos los tamaños. El proyecto continua
+  recibiendo reconocimiento a lo largo de la industria, incluyendo haber sido
+  destacado como por segundo año consecutivo como el "SGBD del Año" en 2018 por
+  DB-Engines y recibiendo la distinción open source "Lifetime Achievement" en
+  OSCON 2019.
+</p>
+
+<h3>Mejoras Generales de Rendimiento</h3>
+
+<p>
+  PostgreSQL 12 provee avances significativos en el rendimiento y mantenimiento
+  a su sistema de indexación y particionado.
+</p>
+
+<p>
+  Los índices B-tree, el tipo estándar de índices de PostgreSQL, han sido
+  optimizados en PostgreSQL 12 para manejar mejor las cargas de trabajo donde
+  los índices son modificados frecuentemente. Usando una implementación
+  razonable del benchmark TPC-C, PostgreSQL 12 demostró en promedio una
+  reducción del 40% en la utilización de espacio y una ganancia general en el
+  rendimiento de consultas.
+</p>
+
+<p>
+  Las consultas sobre tablas particionadas también han visto demostrables
+  mejoras, particularmente para tablas con miles de particiones que sólo
+  necesitan traer datos de un subconjunto limitado. PostgreSQL 12 también mejora
+  el rendimiento de agregar datos a tablas particionadas con <code>INSERT</code>
+  y <code>COPY</code>, e incluye la habilidad de adjuntar una nueva partición a
+  la tabla sin bloquear las consultas.
+</p>
+
+<p>
+  Hay mejoras adicionales al indexado en PostgreSQL 12 que afectan el
+  rendimiento general, incluyendo menor sobrecarga en la generación del
+  <em>write-ahead log</em> para los tipos de índice GiST, GIN, y SP-GiST, la
+  habilidad de crear índices de cobertura (la clausula <code>INCLUDE</code>)
+  sobre índices GiST, la habilidad de realizar consultas de K-vecinos más
+  cercanos con el operador de distancia (<code><-></code>) usando índices
+  SP-GiST, y <code>CREATE STATISTICS</code> ahora soportando estadísticas del
+  valor más común (MCV) para ayudar a generar un mejor plan de consulta cuando
+  se usan columnas que están distribuidas de manera no uniforme.
+</p>
+
+<p>
+  La compilación <em>Just-in-time</em> (JIT) usando LLVM, introducida en
+  PostgreSQL 11, ahora se habilita de manera predeterminada. La compilación JIT
+  puede proveer beneficios en el rendimiento de la ejecución de expresiones en
+  clausulas <code>WHERE</code>, listas de objetivos, agregados, y algunas
+  operaciones internas, estando disponible si su instalación de PostgreSQL fue
+  compilada y empaquetada con LLVM.
+</p>
+
+<h3>Mejoras a la funcionalidad y conformidad SQL</h3>
+
+<p>
+  PostgreSQL es bien conocido por su apego al estándar SQL - una razón sobre por
+  que fue renombrado de "POSTGRES" a "PostgreSQL" - y PostgreSQL 12 agrega
+  varias características para continuar su implementación del SQL standard con
+  funcionalidades mejoradas.
+</p>
+
+<p>
+  PostgreSQL 12 introduce la habilidad de ejecutar consultas sobre documentos
+  JSON usando expresiones de rutas JSON definidas en el estándar SQL/JSON.
+  Dichas consultas pueden utilizar los mecanismos de indexación existentes para
+  documentos guardados en el formato <code>JSONB</code> para traer los datos
+  eficientemente.
+</p>
+
+<p>
+  Las expresiones de tablas comunes, también conocidas como consultas
+  <code>WITH</code>, pueden ser ahora automáticamente incorporadas en linea en
+  PostgreSQL 12, lo que a su vez puede ayudar a mejorar el rendimiento de
+  consultas existentes. En este caso, una consulta WITH puede ser incluida en
+  linea si no es recursiva, no tiene efectos secundarios, y sólo se referencia
+  una única vez en una parte posterior de la consulta.
+</p>
+
+<p>
+  PostgreSQL 12 introduce "columnas generadas". Definidas en el estándar SQL,
+  este tipo de columnas calcula su valor desde otras columnas contenidas en la
+  misma tabla. En esta versión, PostgreSQL soporta "columnas generadas
+  almacenadas", donde el valor computado es guardado en disco.
+</p>
+
+<h3>Internacionalización</h3>
+
+PostgreSQL 12 extiende su soporte para colaciones ICU al permitir al usuario "colaciones no deterministas" que pueden, por ejemplo, permitir comparaciones sin distinguir mayúsculas/minúsculas o acentos.
+
+<h3>Autenticación</h3>
+
+<p>
+  PostgreSQL expande el soporte sobre su método robusto de autenticación con
+  varias mejoras que proveen seguridad y funcionalidad adicional. Esta versión
+  introduce cifrado sobre interfaces GSSAPI tanto del lado del cliente como
+  servidor, y también la habilidad para descubrir servidores LDAP si PostgreSQL
+  fue compilado con OpenLDAP.
+</p>
+
+<p>
+  Adicionalmente, PostgreSQL 12 ahora soporta una forma de autenticación de
+  múltiples factores. Un servidor PostgreSQL puede ahora requerirle a un cliente
+  autenticándose que provea un certificado SSL válido con su nombre de usuario,
+  usando la opción <code>clientcert=verify-full</code>, y combinar esto con el
+  requerimiento de un método de autenticación separado (por ej.
+  <code>scram-sha-256</code>).
+</p>
+
+<h3>Administración</h3>
+
+<p>
+  PostgreSQL 12 introduce la habilidad de rearmar índices sin bloquear
+  escrituras al índice vía la sentencia <code>REINDEX CONCURRENTLY</code>,
+  permitiendo a los usuarios evitar el tiempo de mantenimiento para escenarios
+  de reconstrucción de índices extensos.
+</p>
+
+<p>
+  Adicionalmente, PostgreSQL 12 puede ahora habilitar o deshabilitar las sumas
+  de comprobación en un cluster detenido usando la orden
+  <code>pg_checksums</code>. Anteriormente, las sumas de comprobación por
+  página, una característica para ayudar a verificar la integridad de los datos
+  almacenados en el disco, podía ser sólo habilitada en el momento que el
+  cluster de PostgreSQL era inicializado con <code>initdb</code>.
+</p>
+
+<p>
+  Para una lista completa de las características incluidas en esta versión, por
+  favor lea las notas de versión, que pueden ser encontradas en:
+  <a href="/docs/12/release-12.html">https://www.postgresql.org/docs/12/release-12.html</a>
+</p>
+
+{% endblock presskit_content %}
+
+{% block presskit_about %}
+<h2>Sobre PostgreSQL</h2>
+
+<p>
+  <a href="/">PostgreSQL</a> es la base de datos de código abierto más avanzada
+  del mundo, con una comunidad global de miles de usuarios, colaboradores,
+  compañías y organizaciones. El Proyecto PostgreSQL se construye sobre más de
+  30 años de ingeniería, empezando en la Universidad de California, Berkeley, y
+  ha continuado con un ritmo de desarrollo inigualable. El maduro conjunto de
+  características de PostgreSQL no sólo iguala a los sistemas de bases de datos
+  propietarios, sino que los supera en características avanzadas de bases de
+  datos, extensibilidad, seguridad y estabilidad.
+</p>
+
+<p>
+  Aprenda más sobre PostgreSQL y participe en nuestra comunidad en
+  <a href="/">PostgreSQL.org</a>.
+</p>
+{% endblock presskit_about %}
diff --git a/templates/pages/about/press/presskit12/fr.html b/templates/pages/about/press/presskit12/fr.html
new file mode 100644
index 00000000..e7198c7a
--- /dev/null
+++ b/templates/pages/about/press/presskit12/fr.html
@@ -0,0 +1,206 @@
+{% extends "pages/about/press/presskit12/base.html" %}
+
+{% block presskit_content %}
+<h1>PostgreSQL 12 est publiée !</h1>
+
+<p>
+  Le PostgreSQL Global Development Group annonce aujourd'hui la sortie de PostgreSQL 12,
+  la dernière version du SGBD open source le plus avancé du monde.
+</p>
+
+<p>
+  PostgreSQL 12 inclut des améliorations notables sur la performance des
+  requêtes, particulièrement sur les gros volumes de données et sur
+  l'utilisation générale de l'espace disque. Cette version offre aux
+  développeurs d'applications de nouvelles fonctionnalités comme le support des
+  expressions SQL/JSON path, des optimisations sur l'exécution des requêtes
+  «&nbsp;common tables expression&nbsp;» (<code>WITH</code>) et l'ajout des
+  colonnes calculées.
+</p>
+
+<p>
+  La communauté PostgreSQL poursuit les objectifs d'extensibilité et de
+  robustesse de PostgreSQL en y incluant plusieurs ajouts à
+  l'internationalisation et l'authenfication et en simplifiant l'administration
+  de PostgreSQL.
+</p>
+
+<p>
+  Cette version introduit également l'interface de stockage connectable
+  permettant de développer sa propre méthode de stockage des données.
+</p>
+
+<p>
+  «&nbsp;La communauté des développeurs de PostgreSQL a ajouté à PostgreSQL 12
+  des fonctionnalités qui apportent de la performance et des gains dans la
+  gestion de l'espace disque que nos clients peuvent mettre en œuvre avec un
+  minimum d'effort. Cette version apporte également une authentification de
+  niveau entreprise, des fonctionnalités d'administration et le support de
+  SQL/JSON.&nbsp;» déclare Dave Page, membre du noyau des développeurs du
+  PostgreSQL Global Development Group. «&nbsp;Cette version poursuit l'objectif
+  de simplifier la gestion des bases de données, quelle que soit la charge de
+  travail, grande ou petite. Elle contribue également à consolider la réputation
+  de flexibilité, sûreté et stabilité de PostgreSQL dans des environnements de
+  production.&nbsp;»
+</p>
+
+<p>
+  PostgreSQL bénéficie d'un développement de plus de 20 années et est devenu le
+  SGBD relationnel open source de référence pour les entreprises et institutions
+  de toutes tailles. La reconnaissance du projet en entreprise est toujours plus
+  grande. Le projet a ainsi reçu pour la seconde année consécutive le prix du
+  SGBD de l'année («&nbsp;DBMS of the Year&nbsp;») dans le classement DB-Engines
+  de 2018. Il a également reçu le prix open source
+  «&nbsp;Lifetime Achievement&nbsp;» lors de l'OSCON 2019.
+</p>
+
+<h3>Amélioration globale des performances</h3>
+
+<p>
+  PostgreSQL 12 apporte des améliorations de performance et de maintenance
+  significatives à la fois au niveau du système d'indexation et du
+  partitionnement.
+</p>
+
+<p>
+  Les index B-tree, type d'indexation standard de PostgreSQL, a été optimisé
+  avec PostgreSQL 12 pour gérer les charges de travail où ces index sont
+  fréquemment modifiés. Lors d'un test de performance TPC-C sur PostgreSQL 12,
+  on a pu mesurer une réduction moyenne de 40% de l'espace mémoire utilisé et un
+  gain général de performance sur les requêtes.
+</p>
+
+<p>
+  Des améliorations significatives ont également été mesurées sur les requêtes
+  sur les tables partitionnées, particulièrement sur des tables avec des
+  milliers de partitions pour lesquelles seul un sous-ensemble limité de données
+  devait être récupéré. PostgreSQL 12 améliore également la performance lors de
+  l'ajout de données dans les tables partitionnées avec <code>INSERT</code> et
+  <code>COPY</code>. Enfin, cette version permet d'attacher une nouvelle
+  partition à une table sans bloquer les requêtes.
+</p>
+
+<p>
+  Il y a d'autres améliorations de l'indexation dans PostgreSQL 12 qui jouent
+  sur les performances globales. On peut citer l'abaissement du surcoût de
+  génération des index GiST, GIN et SP-GiST dans les WAL, la possibilité de
+  créer des index couvrants (la clause <code>INCLUDE</code>) sur les index
+  GiST, la possibilité d'effectuer des requêtes de recherche des K plus proches
+  voisins (<code>KNN</code>) avec l'opérateur de distance (<code>&lt;-&gt;</code>) à
+  l'aide d'index SP-GiST, et la commande <code>CREATE STATISTICS</code> qui supporte
+  désormais les statistiques «&nbsp;most-common value&nbsp;» (MCV) pour produire
+  de meilleurs plans de requête lorsque des colonnes distribuées de manière non
+  uniforme sont utilisées.
+</p>
+
+<p>
+  La compilation «&nbsp;Just-in-time&nbsp;» (JIT) à l'aide de LLVM, introduite
+  dans PostgreSQL 11, est désormais activée par défaut. La compilation JIT
+  peut apporter des gains de performance sur l'exécution de requêtes dans les
+  clauses WHERE, les listes cibles, les agrégats, et d'autres opérations
+  internes. Cette option est disponible sur les versions compilées ou packagées
+  avec le support de LLVM.
+
+<h3>Améliorations de la conformité et des fonctionnalités du SQL</h3>
+
+<p>
+  PostgreSQL est connu pour sa conformité au standard SQL - une des raisons pour
+  lesquelles il a été renommé de «&nbsp;POSTGRES&nbsp;» en
+  «&nbsp;PostgreSQL&nbsp;» - et PostgreSQL 12 ajoute plusieurs fonctionnalités
+  dans la continuité de l'implantation du standard avec des fonctionnalités
+  avancées.
+</p>
+
+<p>
+  PostgreSQL 12 introduit la possibilité d'effectuer des requêtes sur des
+  documents JSON à l'aide d'expressions JSON path definies dans le standard
+  SQL/JSON. Ces requêtes peuvent utiliser les mécanismes d'indexation de
+  documents stockés au format JSONB pour accéder efficacement aux données.
+</p>
+
+<p>
+  Les «&nbsp;Common table expressions&nbsp;», connues aussi sous le nom de
+  requêtes «&nbsp;WITH&nbsp;», peuvent désormais être écrites en ligne avec
+  PostgreSQL 12, ce qui peut augmenter les performances de nombreuses requêtes.
+  Dans cette version, une requête «&nbsp;WITH&nbsp;» peut être écrite en ligne
+  si elle n'est pas récursive, n'a pas d'effet de bord, et n'est référencée
+  qu'une fois dans une partie suivante de la requête.
+</p>
+
+<p>
+  PostgreSQL 12 introduit les «&nbsp;colonnes calculées&nbsp;». Définies dans le
+  standard SQL, ce type de colonne calcule sa valeur à partir du contenu
+  d'autres colonnes de la même table. Dans cette version, PostgreSQL supporte
+  les colonnes générées stockées, pour lesquelles la valeur calculée est stockée
+  sur disque.
+</p>
+
+<h3>Internationalisation</h3>
+
+<p>
+  PostgreSQL 12 étend le support des collations ICU en permettant aux
+  utilisateurs de définir des collations non déterministes, qui peuvent, par
+  exemple, permettre des comparaisons insensibles à la casse ou aux accents.
+</p>
+
+<h3>Authentification</h3>
+
+<p>
+  PostgreSQL étend son support des méthodes d'authentification robustes par
+  plusieurs améliorations qui fournissent des fonctionnalités et sécurités
+  additionnelles. Cette version introduit un chiffrement client et serveur pour
+  l'authentification au travers des interfaces GSSAPI, ainsi que la possibilité
+  de découverte de serveurs LDAP, si PostgreSQL est compilé avec le support
+  d'OpenLDAP.
+</p>
+
+<p>
+  De plus, PostgreSQL 12 supporte désormais une forme d'authentification
+  multifacteur. Un serveur PostgreSQL peut ainsi obliger un client
+  s'authentifiant à fournir un certificat SSL valide avec le nom de
+  l'utilisateur avec l'option <code>clientcert=verify-full</code> et combiner
+  cela avec la demande d'une méthode d'authentification séparée
+  (<code>scram-sha-256</code> par exemple).
+</p>
+
+<h3>Administration</h3>
+
+<p>
+  PostgreSQL 12 introduit la possibilité de reconstruire les index sans bloquer
+  les écritures sur l'index à l'aide de la commande <code>REINDEX CONCURRENTLY</code>.
+  Ce qui permet aux utilisateurs d'éviter les interruptions de service lors de
+  reconstruction longue d'index.
+</p>
+
+<p>
+  De plus, PostgreSQL 12 permet d'activer ou désactiver les sommes de
+  vérification (checksums) de page sur un cluster hors ligne à l'aide de la
+  commande <code>pg_checksums</code>. Avant cela, les checksums sur les pages,
+  fonctionnalité permettant de vérifier l'intégrité des données stockées sur
+  disque, ne pouvait être activée qu'à la création d'un cluster par la commande
+  <code>initdb</code>.
+</p>
+
+<p>
+  Pour consulter la liste complète des fonctionnalités de cette nouvelle
+  version, vou pouvez lire les <a href="/docs/12/release-12.html">notes de version</a>,
+  qui peut être trouvée ici :
+  <a href="/docs/12/release-12.html">https://www.postgresql.org/docs/12/release-12.html</a>
+</p>
+{% endblock presskit_content %}
+
+{% block presskit_about %}
+<h2>À propos de PostgreSQL</h2>
+
+<a href="/">PostgreSQL</a> est le système de gestion de bases de données libre
+de référence. Sa communauté mondiale est composée de plusieurs milliers
+d’utilisateurs, contributeurs, entreprises et institutions. Le projet
+PostgreSQL, démarré il y a 30 ans, à l’université de Californie, à Berkeley, a
+atteint aujourd’hui un rythme de développement sans pareil. L’ensemble des
+fonctionnalités proposées est mature, et dépasse même celles des systèmes
+commerciaux leaders sur les fonctionnalités avancées, les extensions, la
+sécurité et la stabilité.
+
+Pour en savoir plus à propos de PostgreSQL et participer à la communauté :
+<a href="/">PostgreSQL.org</a>.
+{% endblock presskit_about %}
diff --git a/templates/pages/about/press/presskit12/he.html b/templates/pages/about/press/presskit12/he.html
new file mode 100644
index 00000000..f9be1487
--- /dev/null
+++ b/templates/pages/about/press/presskit12/he.html
@@ -0,0 +1,66 @@
+{% extends "pages/about/press/presskit12/base.html" %}
+
+{% block presskit_content %}
+<h1 dir="rtl">PostgreSQL 12 שוחררה לאוויר</h1>
+
+<p dir="rtl">קבוצת הפיתוח הגלובלית של PostgreSQL הודיעה היום על שחרורה של PostgreSQL 12, הגרסה העדכנית ביותר של מסד הנתונים המתקדם בעולם עם קוד פתוח.</p>
+
+<p dir="rtl">שיפורי PostgreSQL 12 כוללים שיפורים בולטים בביצועי השאילתה, במיוחד על מערכי נתונים גדולים וניצול שטח כללי. מהדורה זו מספקת למפתחי יישומים יכולות חדשות כגון תמיכה בביטוי PATH  SQL / JSON, אופטימיזציות לביצוע שאילתות CTE מסוג  (<code>WITH</code>) וייצור עמודות. קהילת PostgreSQL ממשיכה לתמוך בהרחבה והחוסן של PostgreSQL, עם תוספות נוספות לבינאום, אימות ומתן דרכים קלות יותר לניהול PostgreSQL. מהדורה זו מציגה גם את ממשק אחסון טבלאות הניתן לחיבור, המאפשר למפתחים ליצור שיטות משלהם לאחסון נתונים.</p>
+
+<p dir="rtl">"קהילת המפתחים מאחורי PostgreSQL תרמה תכונות עבור PostgreSQL 12 המציעות שיפור בביצועים וניהול שטחי איחסון שמשתמש שלנו יכול להשיג עם מאמץ מינימלי, כמו גם שיפורי בתחום אימות משתמשים, פונקציונליות ניהול ותמיכת SQL / JSON." אמר דייב פייג ', חבר צוות ליבה קבוצת הפיתוח הגלובלית של PostgreSQL. "מהדורה זו ממשיכה את המגמה להקל על ניהול עומסי עבודה מסדי נתונים גדולים וקטנים תוך בניית המוניטין של גמישות, אמינות ויציבות בסביבות ייצור ל PostgreSQL."</p>
+
+<p dir="rtl">PostgreSQL נהנה ממעל 20 שנה של פיתוח עם קוד פתוח והפך למסד הנתונים היחסי של הקוד הפתוח המועדף על ארגונים בכל הגדלים. הפרויקט ממשיך לקבל הכרה בכל הענפים, כולל הכרה  בשנה השנייה ברציפות בתור "DBMS של השנה" בשנת 2018 על ידי DB-Engines וקבלת פרס קוד פתוח "מפעל חיים" ב- OSCON 2019.</p>
+
+<h3 dir="rtl">שיפורי ביצועים כלליים</h3>
+
+<p dir="rtl">PostgreSQL 12 מספק שיפורי ביצועים ותחזוקה משמעותיים למערכת האינדקס שלה ול partitioning.</p>
+
+<p dir="rtl">אינדקסים B-tree, סוג האינדקס הרגיל ב- PostgreSQL, עברו אופטימיזציה ב- PostgreSQL 12 כדי להתמודד טוב יותר עם עומסי עבודה בהם משנים לעתים קרובות את האינדקסים. באמצעות יישום לשימוש הוגן של מדד ה- TPC-C, המערכת הדגימה בממוצע ירידה של 40% בניצול החלל ורווח כולל בביצועי השאילתה.</p>
+
+<p dir="rtl">שאילתות בטבלאות מחולקות ניתן לראות גם שיפורים ניתנים להצגה, במיוחד עבור טבלאות עם אלפי מחיצות שצריכות רק לאחזר נתונים מקבוצת משנה מוגבלת. PostgreSQL 12 משפר גם את הביצועים של הוספת נתונים לטבלאות מחולקות עם <code>INSERT</code> ו- <code>COPY</code>, וכולל את היכולת לחבר מחיצה חדשה לטבלה מבלי לחסום שאילתות.</p>
+
+<p dir="rtl">ישנם שיפורים נוספים לאינדקס ב  PostgreSQL 12 המשפיעים על הביצועים הכוללים, כולל תקורה נמוכה יותר ביצירת WAL עבור אידנקס GiST, GIN ו- SP-GiST, היכולת ליצור אינדקסים מכסים (<code>INCLUDE</code>) באינדקס GiST. , היכולת לבצע שאילתות K-nearest neighbor עם אופרטור המרחק (<code>&lt;-&gt;</code>) באמצעות אינדקסים של SP-GiST, ו- <code>CREATE STATISTICS</code> תומכות כעת בסטטיסטיקות הערך הנפוצות ביותר (MCV) כדי לעזור ליצור תכניות הרצת שאילתות יותר טובות בשימוש עמודות המופצות באופן לא אחיד.</p>
+
+<p dir="rtl">קומפילציה Just-in-time (JIT) באמצעות LLVM, שהוצגה ב- PostgreSQL 11, מופעלת כעת כברירת מחדל. אוסף JIT יכול לספק יתרונות ביצועים לביצוע ביטויים בסעיפי WHERE, ברשימות יעד, אגרגטים וכמה פעולות פנימיות, וזמין אם התקנת PostgreSQL שלך מורכבת או ארוזה עם LLVM.</p>
+
+<h3 dir="rtl">שיפורים להתאמת SQL ופונקציונליות</h3>
+
+<p dir="rtl">PostgreSQL ידועה בהתאמתו לתקן SQL - אחת הסיבות לכך ששמה שונה מ- "POSTGRES" ל- "PostgreSQL" - ו- PostgreSQL 12 מוסיף מספר תכונות להמשך יישום תקן SQL עם פונקציונליות משופרת.</p>
+
+<p dir="rtl">PostgreSQL 12 מציגה את היכולת להריץ שאילתות על מסמכי JSON באמצעות ביטויי נתיב JSON שהוגדרו בתקן SQL / JSON. שאילתות כאלה יכולות להשתמש במנגנוני האינדקסים הקיימים עבור מסמכים המאוחסנים בפורמט <code>JSONB</code> לצורך אחזור יעילות של נתונים.</p>
+
+<p dir="rtl">ביטויי טבלה נפוצים, הידועים גם כ שאילתות <code>WITH</code>, יכולים כעת להיות מסומנים אוטומטית על ידי PostgreSQL 12, אשר בתורם יכולים לעזור להגדיל את הביצועים של שאילתות רבות קיימות. במהדורה זו ניתן לקבוע שאילתת <code>WITH</code> אם היא אינה רקורסיבית, אין לה תופעות לוואי ומפנים אותה רק פעם אחת בחלק מאוחר יותר של השאילתה.</p>
+
+<p dir="rtl">PostgreSQL 12 מציגה "עמודות מחושבות." המוגדרות בתקן SQL, סוג זה של עמודה מחשב את ערכו מתוכן העמודות האחרות באותה טבלה. בגירסה זו, PostgreSQL תומך ב"עמודות מחושבות מאוחסנות ", בהן הערך המחושב מאוחסן בדיסק.</p>
+
+<h3 dir="rtl">בינאום</h3>
+
+<p dir="rtl">PostgreSQL 12 מרחיבה את תמיכתו בקולקציות ICU בכך שהיא מאפשרת למשתמשים להגדיר "קולציות לא-דטרמיניסטיות" שיכולות, למשל, לאפשר השוואות שונות.</p>
+
+<h3 dir="rtl">אימות</h3>
+
+<p dir="rtl">PostgreSQL מרחיבה את תמיכת שיטות האימות החזקות שלה עם מספר שיפורים המספקים אבטחה ופונקציונליות נוספים. מהדורה זו מציגה הצפנה של צד לקוח וגם מצד שרת לאימות באמצעות ממשקי GSSAPI, כמו גם את היכולת של PostgreSQL לגלות שרתי LDAP אם PostgreSQL נבנה עם OpenLDAP.</p>
+
+<p dir="rtl">בנוסף, PostgreSQL 12 תומכת כעת בצורת אימות מולטי-פקטור. שרת PostgreSQL יכול כעת לדרוש מלקוח לספק תעודת SSL בתוקף עם שם המשתמש שלו באמצעות האפשרות <code>clientcert=verify-full</code> ולשלב זאת עם הדרישה של שיטת אימות נפרדת (למשל <code>scram-sha-256</code>).</p>
+
+<h3 dir="rtl">ניהול</h3>
+
+<p dir="rtl">PostgreSQL 12 מציגה את היכולת לבנות מחדש אינדקסים מבלי לחסום כתיבה לאינדקס באמצעות הפקודה <code>REINDEX CONCURRENTLY</code>, ומאפשרת למשתמשים להימנע מתרחישים של השבתה לצורך בנייה מחדש של אינדקס ארוך.</p>
+
+<p dir="rtl">בנוסף, PostgreSQL 12 יכולה כעת להפעיל או בדיקות page checksums באמצעות הפקודה <code>pg_checksums</code>. בעבר ניתן היה לאפשר את בדיקת page checksums, תכונה העוזרת לאמת את שלמות הנתונים המאוחסנים בדיסק, רק בזמן אתחול PostgreSQL באמצעות <code>initdb</code>.</p>
+
+<p dir="rtl">לרשימה המלאה של התכונות הכלולות במהדורה זו, אנא קרא את הערות הגרסה, אשר ניתן למצוא בכתובת:
+ <a href="/docs/12/release-12.html">https://www.postgresql.org/docs/12/release-12.html</a></p>
+{% endblock presskit_content %}
+
+{% block presskit_about %}
+<h2 dir="rtl">אודות PostgreSQL</h2>
+
+
+<p dir="rtl">PostgreSQL הוא מסד נתונים בקוד פתוח המתקדם ביותר בעולם, עם קהילה גלובלית של אלפי משתמשים, תורמים, חברות וארגונים.
+</p>
+
+<p dir="rtl">הפרויקט PostgreSQL נבנה על מעל 30 שנות הנדסה, החל באוניברסיטת קליפורניה, ברקלי, והמשיך להתפתח עם קצב ללא תחרות. ערכת התכונות הבשלות של PostgreSQL לא רק תואמת מערכות נתונים קנייניות מובילות, אלא עולה עליהן במאפיינים של מסדי נתונים מתקדמים ,הרחבה, אבטחה ויציבות.</p>
+
+<p dir="rtl">למידע נוסף על PostgreSQL והשתתפות בקהילה שלנו ניתן ב <a href="https://www.postgresql.org">PostgreSQL.org</a>.</p>
+{% endblock presskit_about %}
diff --git a/templates/pages/about/press/presskit12/ja.html b/templates/pages/about/press/presskit12/ja.html
new file mode 100644
index 00000000..c8c8ea69
--- /dev/null
+++ b/templates/pages/about/press/presskit12/ja.html
@@ -0,0 +1,82 @@
+{% extends "pages/about/press/presskit12/base.html" %}
+
+{% block presskit_content %}
+<h1>PostgreSQL 12がリリースされました！</h1>
+
+<p>PostgreSQLグローバル開発グループは本日、世界で最も先進的なオープンソースデータベースの最新バージョンであるPostgreSQL 12のリリースを発表しました。</p>
+
+<p>
+  PostgreSQL 12の機能強化には、特に大規模なデータセットでのクエリパフォーマンスと、全体的なスペース使用率の大幅な改善が含まれます。
+このリリースは、アプリケーション開発者に、SQL/JSONパス式のサポート、共通テーブル式（「WITH」）クエリの実行方法の最適化、生成列などの新機能を提供します。
+PostgreSQLコミュニティは、国際化、認証、PostgreSQLを容易に管理する方法を提供することでPostgreSQLの拡張性と堅牢性を引き続きサポートします。
+このリリースでは、開発者がデータを保存する独自のメソッドを作成できる、プラガブルテーブルストレージインターフェイスも導入されています。
+</p>
+
+<p>
+  「PostgreSQLを支える開発コミュニティはPostgreSQL 12に、ユーザが最小限の努力で性能と空間管理の向上を達成できる機能のみならず、エンタープライズ認証、管理機能、およびSQL/JSONサポートを付与しました。」PostgreSQLグローバル開発グループのコアチームの一員であるDave Pageは言います。「このリリースは大小のデータベースワークロードの管理を容易にしていく方向を継続して、同時にPostgreSQLの実稼働環境での柔軟性、信頼性、および安定性の評判を確立します。」
+</p>
+
+<p>
+  PostgreSQLは20年以上にわたりオープンソースで開発されてきたお陰で、あらゆる規模の組織にとって好ましいオープンソースリレーショナルデータベースであり続けています。
+このプロジェクトは、DB-Enginesによって2018年に「DBMS of the Year」として2年連続で特集され、OSCON 2019で「Lifetime Achievement」オープンソース賞を受賞するなど、業界全体で認知され続けています。</p>
+
+<h3>全体的なパフォーマンスの改善</h3>
+
+<p>PostgreSQL 12は、インデックスシステムとパーティション分割のパフォーマンスとメンテナンスを大幅に強化します。</p>
+
+<p>PostgreSQLの標準タイプのインデックスであるBツリーインデックスは、PostgreSQL 12で最適化されており、インデックスが頻繁に変更されるワークロードをより適切に処理します。
+PostgreSQL 12では、TPC-Cベンチマークを使用して、スペース使用率の平均40％の削減とクエリパフォーマンスの全体的に向上していることを確認しました。</p>
+
+<p>パーティション化されたテーブルでのクエリは、特に限定されたサブセットからデータを取得するだけでよい数千のパーティションを持つテーブルで、明らかに改善されています。
+ PostgreSQL 12では、<code>INSERT</code>と<code>COPY</code>を使用してパーティションテーブルにデータを追加するパフォーマンスも向上し、クエリをブロックせずに新しいパーティションをテーブルにアタッチする機能も含まれました。</p>
+
+<p>PostgreSQL 12のインデックスには、GiST、GIN、およびSP-GiSTインデックスで先行書き込みログ生成のオーバーヘッドの削減、GiSTインデックスでカバリングインデックス（<code>INCLUDE</code>句）を作成する機能、SP-GiSTインデックスを使用して距離演算子（&lt;-&gt;）によるK近傍クエリを実行する機能、および<code>CREATE STATISTICS</code>が不均一に分布する列を評価するMCV（Most Common Value）統計をサポートするなど、全体的なパフォーマンスに影響する改良が追加されています。</p>
+
+<p>PostgreSQL 11で導入されたLLVMを使用したジャストインタイム（JIT）コンパイルがデフォルトで有効になりました。
+ JITコンパイルは、WHERE句、ターゲットリスト、集計、および一部の内部操作で式実行のパフォーマンスが向上します。JITコンパイルはPostgreSQLインストールがLLVMでコンパイルまたはパッケージ化されている場合に使用できます。</p>
+
+<h3>SQLの準拠と機能強化</h3>
+
+<p>PostgreSQLは、SQL標準に準拠していることで知られており（ "POSTGRES"から "PostgreSQL"に名前が変更された理由の1つ）、
+PostgreSQL12ではSQL標準で拡張された機能が継続して実装されています。</p>
+
+<p>PostgreSQL 12では、SQL/JSON標準で定義されたJSONパス式を使用して、JSONドキュメントに対してクエリを実行する機能が導入されています。
+このようなクエリでは、JSONB形式で保存されたドキュメントを既存のインデックス作成メカニズムを利用して、データを効率的に取得できます。</p>
+
+<p><code>WITH</code>クエリとも呼ばれる共通テーブル式は、PostgreSQL 12によって自動的にインライン化できるようになりました。
+これにより、多くの既存のクエリのパフォーマンスを向上させることができます。
+このリリースでは、<code>WITH</code>クエリは再帰的でなく、副作用がなく、クエリの後半で一度だけ参照される場合にインライン化できます。</p>
+
+<p>PostgreSQL 12では、「生成列」が導入されています。
+標準SQLで定義されているこのタイプの列は、同じ表の他の列の内容から値を計算します。
+このバージョンでは、PostgreSQLは計算された値がディスクに保存される「格納された生成列」をサポートします。</p>
+
+
+<h3>国際化</h3>
+
+<p>PostgreSQL 12は、ユーザーが「非決定的照合」を定義できるようにすることでICU照合のサポートを拡張しました。たとえば、大文字と小文字を区別しない比較や、アクセントを区別しない比較ができるようになります。</p>
+
+<h3>認証</h3>
+
+<p>PostgreSQLは、追加のセキュリティと機能性の提供による様々な改良により堅牢な認証方法のサポートを拡張します。このリリースでは、GSSAPIインターフェースを介した認証にクライアント側とサーバー側の両方の暗号化が導入されました。また、PostgreSQLがOpenLDAPでコンパイルされている場合にPostgreSQLがLDAPサーバーを検出できるようになりました。</p>
+
+<p>さらに、PostgreSQL 12は多要素認証の形式をサポートするようになりました。
+PostgreSQLサーバーは、<code>clientcert=verify-full</code>オプションを使用することで認証クライアントに対してユーザー名とともに有効なSSL証明書の提供を要求し、これを別の認証方法の要件（<code>scram-sha-256</code>など）と組み合わせることができるようになりました。</p>
+
+<h3>管理</h3>
+
+<p>PostgreSQL 12では、<code>REINDEX CONCURRENTLY</code>コマンドを使用してインデックスへの書き込みをブロックせずにインデックスを再構築する機能が導入され、長時間のインデックス再構築のダウンタイムシナリオを回避できます。</p>
+
+<p>さらに、PostgreSQL 12では、<code>pg_checksums</code>コマンドを使用してデータベースクラスタがオフライン時にページチェックサムを有効または無効に変更できるようになりました。
+以前は、ディスクに保存されたデータの整合性を検証する機能であるページチェックサムは、データベースクラスタが<code>initdb</code>で初期化されたときにのみ有効にできました。</p>
+
+<p>このリリースに含まれる機能の完全なリストは、<a href="/docs/12/release-12.html">https://www.postgresql.org/docs/12/release-12.html</a>にあるリリースノートをご覧ください。</p>
+{% endblock presskit_content %}
+
+{% block presskit_about %}
+<h2>PostgreSQLについて</h2>
+
+<p>
+  <a href="/">PostgreSQL</a>は世界で最も先進的なオープンソースデータベースであり、何千人ものユーザ、貢献者、企業、組織からなるグローバルコミュニティがあります。PostgreSQLプロジェクトは、カリフォルニア大学バークレー校を皮切りに、30年以上ソフトウェア工学に基づいた開発により先進的な進歩を続けています。PostgreSQLの成熟した機能セットは、独自のデータベースシステムにマッチするだけでなく、高度なデータベース機能、拡張性、セキュリティ、および安定性にも優れています。 PostgreSQLについてもっと知って頂き、私たちの<a href="/">PostgreSQL.org</a>コミュニティにご参加下さい。
+</p>
+{% endblock presskit_about %}
diff --git a/templates/pages/about/press/presskit12/pt.html b/templates/pages/about/press/presskit12/pt.html
new file mode 100644
index 00000000..74704b8d
--- /dev/null
+++ b/templates/pages/about/press/presskit12/pt.html
@@ -0,0 +1,193 @@
+{% extends "pages/about/press/presskit12/base.html" %}
+
+{% block presskit_content %}
+<h1>PostgresSQL 12 foi lançado!</h1>
+
+<p>
+  O Grupo de Desenvolvimento Global do PostgreSQL anunciou hoje o lançamento do
+  PostgreSQL 12, a versão mais recente do banco de dados de código aberto mais
+  avançado do mundo.
+</p>
+
+<p>
+  Aprimoramento do PostgreSQL 12 inclui melhorias notáveis no desempenho de
+  consultas, particularmente em conjuntos de dados maiores, e na utilização de
+  espaço no geral. Essa versão fornece aos desenvolvedores de aplicações novos
+  recursos, como o suporte a expressões de caminho SQL/JSON, otimizações de como
+  consultas de expressões de tabela comum (<code>WITH</code>) são executadas e
+  colunas geradas. A comunidade de PostgreSQL continua a suportar a
+  extensibilidade e robustez do PostgreSQL, com acréscimos à
+  internacionalização, autenticação e fornecendo possibilidades mais fáceis de
+  administrar o PostgreSQL. Essa versão também introduz uma interface de
+  armazenamento plugável, que permite que os desenvolvedores criem seus próprios
+  métodos para armazenar os dados.
+</p>
+
+<p>
+  "A comunidade de desenvolvimento por trás do PostgreSQL contribuiu com
+  recursos do PostgreSQL 12 que oferecem ganhos de performance e gerenciamento
+  de espaço que os nossos usuários podem obter com esforço mínimo, além de
+  melhorias na autenticação, funcionalidades administrativas e suporte a
+  SQL/JSON" disse Dave Page, um membro do Grupo de Desenvolvimento Global do
+  PostgreSQL. "Essa versão continua a tendência de facilitar o gerenciamento de
+  cargas de trabalho de bancos de dados grandes e pequenos enquanto se baseia na
+  reputação de flexibilidade, confiabilidade e estabilidade em ambientes de
+  produção".
+</p>
+
+<p>
+  O PostgreSQL se beneficia de mais de 20 anos de desenvolvimento de código
+  aberto e se tornou o banco de dados relacional de código aberto preferido por
+  organizações de todos os tamanhos. O projeto continua recebendo
+  reconhecimento em todo setor, inclusive sendo apresentado pelo segundo ano
+  consecutivo como o "SGBD do ano" em 2018 pela DB-Engines e recebendo o prêmio
+  de código aberto "Lifetime Achievement" na OSCON 2019.
+</p>
+
+<h3>Melhorias Gerais de Desempenho</h3>
+
+<p>
+  O PostgreSQL 12 fornece aprimoramentos significativos de desempenho e
+  manutenção no sistema de indexação e no particionamento.
+</p>
+
+<p>
+  Índices B-Tree, o tipo padrão de indexação no PostgreSQL, foram otimizados no
+  PostgreSQL 12 para lidar melhor com as cargas de trabalho onde os índices são
+  frequentemente modificados. Usando uma implementação justa do benchmark TPC-C,
+  o PostgreSQL 12 demonstrou, em média, uma redução de 40% na utilização do
+  espaço e um ganho geral no desempenho de consultas.
+</p>
+
+<p>
+  Consultas em tabelas particionadas também obtiveram melhorias demonstráveis,
+  principalmente para tabelas com milhares de partições que só precisam obter
+  dados de um subconjunto limitado. O PostgreSQL 12 também melhora o desempenho
+  da adição de dados as tabelas particionadas com <code>INSERT</code> e
+  <code>COPY</code>, e inclui a capacidade de anexar uma nova partição a uma
+  tabela sem bloquear consultas.
+</p>
+
+<p>
+  Existem melhorias adicionais na indexação no PostgreSQL 12 que afetam o
+  desempenho geral, incluindo menor sobrecarga na geração de log de transação
+  para os tipos de índice GiST, GIN e SP-GiST, a capacidade de criar índices de
+  cobertura (a cláusula <code>INCLUDE</code>) em índices GiST, a capacidade de
+  executar consultas de K-vizinhos mais próximos com o operador de distância
+  (<code>&lt;-&gt;</code>) utilizando índices SP-GiST e
+  <code>CREATE STATISTICS</code> agora suportando estatísticas do valor mais
+  comum (MCV) para ajudar a gerar planos de consultas melhores ao utilizar
+  colunas que são distribuídas de maneira não uniforme.
+</p>
+
+<p>
+  A compilação Just-in-time (JIT) utilizando LLVM, introduzida no PostgreSQL 11,
+  agora está ativada por padrão. A compilação JIT pode fornecer benefícios de
+  desempenho para a execução de expressões nas cláusulas WHERE, listas de
+  destinos, agregações e algumas operações internas, e estará disponível se a
+  instalação do PostgreSQL for compilada ou empacotada com LLVM.
+</p>
+
+<h3>Melhorias na Conformidade e Funcionalidade do SQL</h3>
+
+<p>
+  O PostgreSQL é conhecido por sua conformidade com o padrão SQL - uma razão
+  pela qual foi renomeado de "POSTGRES" para "PostgreSQL" - e o PostgreSQL 12
+  adicionou vários recursos para continuar sua implementação do padrão SQL com
+  funcionalidade aprimorada.
+</p>
+
+<p>
+  PostgreSQL 12 introduz a capacidade de executar consultas em documentos JSON
+  utilizando expressões de caminho JSON definidas no padrão SQL/JSON. Essas
+  consultas podem utilizar os mecanismos de indexação existentes para documentos
+  armazenados no formato <code>JSONB</code> para recuperar dados com eficiência.
+</p>
+
+<p>
+  Expressões de tabela comum, também conhecidas como consultas
+  <code>WITH</code>, agora podem ser automaticamente incorporadas pelo
+  PostgreSQL 12, o que, por sua vez, pode ajudar a aumentar o desempenho de
+  muitas consultas existentes. Nesta versão, uma consulta WITH pode ser
+  incorporada se ela não for recursiva, não tiver efeitos colaterais e for
+  referenciada apenas uma vez na parte posterior de uma consulta.
+</p>
+
+<p>
+  PostgreSQL 12 introduz "colunas geradas". Definido no padrão SQL, esse tipo de
+  coluna calcula seu valor a partir do conteúdo de outras colunas na mesma
+  tabela. Nesta versão, PostgreSQL suporta "colunas geradas armazenadas", onde o
+  valor calculado é armazenado no disco.
+</p>
+
+<h3>Internacionalização</h3>
+
+<p>
+  PostgreSQL 12 estende o suporte a ordenações ICU, permitindo que os usuários
+  possam definir "ordenações não determinísticos" que podem, por exemplo,
+  permitir comparações que não diferem maiúsculas de minúsculas ou não levam em
+  consideração acentos.
+</p>
+
+<h3>Autenticação</h3>
+
+<p>
+  PostgreSQL expande seu robusto suporte a métodos de autenticação com várias
+  melhorias que fornecem segurança e funcionalidades adicionais. Esta versão
+  introduz a criptografia do cliente e do servidor para autenticação nas
+  interfaces GSSAPI, bem como a capacidade do PostgreSQL em descobrir servidores
+  LDAP se o PostgreSQL for compilado com OpenLDAP.
+</p>
+
+<p>
+  Além disso, o PostgreSQL 12 agora suporta uma forma de autenticação multi
+  fator. Um servidor PostgreSQL pode exigir que um cliente forneça um
+  certificado SSL válido com seu nome de usuário utilizando a opção
+  <code>clientcert=verify-full</code> e combinar isso com o requisito de um
+  método de autenticação separado (por exemplo, <code>scram-sha-256</code>).
+</p>
+
+<h3>Administração</h3>
+
+<p>
+  O PostgreSQL 12 introduz a capacidade de reconstruir índices sem bloquear
+  gravações em um índice por meio do comando <code>REINDEX CONCURRENTLY</code>,
+  permitindo que os usuários evitem cenários de indisponibilidade para longas
+  reconstruções de índices.
+</p>
+
+<p>
+  Além disso, PostgreSQL 12 agora pode ativar ou desativar somas de verificação
+  de páginas em um agrupamento de banco de dados desligado utilizando o comando
+  <code>pg_checksums</code>. Anteriormente, somas de verificação, uma
+  funcionalidade para ajudar a verificar a integridade dos dados armazenados em
+  disco, só podiam ser ativadas no momento em que o agrupamento de banco de
+  dados fosse inicializado com <code>initdb</code>.
+</p>
+
+<p>
+  Para obter uma lista completa dos recursos incluídos nesta versão, leia as
+  notas de lançamento, que podem ser encontradas em:
+  <a href="/docs/12/release-12.html">https://www.postgresql.org/docs/12/release-12.html</a>
+</p>
+{% endblock presskit_content %}
+
+{% block presskit_about %}
+<h2>Sobre PostgreSQL</h2>
+
+<p>
+  <a href="/">PostgreSQL</a> é o banco de dados mais avançado do mundo, com uma
+  comunidade global de milhares de usuários, colaboradores, empresas e
+  organizações. O Projeto PostgreSQL baseia-se em mais de 30 anos de engenharia,
+  iniciando na Universidade da Califórnia, Berkeley, e continua em um ritmo
+  inigualável de desenvolvimento. Conjunto de funcionalidades maduras do
+  PostgreSQL não só se igualam aos principais sistemas de bancos de dados
+  proprietários, mas os supera em funcionalidades avançadas, extensibilidade,
+  segurança e estabilidade.
+</p>
+
+<p>
+  Saiba mais sobre o PostgreSQL e participe da nossa comunidade em
+  <a href="/">PostgreSQL.org</a>.
+</p>
+{% endblock presskit_about %}
diff --git a/templates/pages/about/press/presskit12/ru.html b/templates/pages/about/press/presskit12/ru.html
new file mode 100644
index 00000000..ceec4323
--- /dev/null
+++ b/templates/pages/about/press/presskit12/ru.html
@@ -0,0 +1,202 @@
+{% extends "pages/about/press/presskit12/base.html" %}
+
+{% block presskit_content %}
+<h1>Выпущен PostgreSQL 12!</h1>
+
+<p>
+  Всемирная группа разработки PostgreSQL объявила сегодня о выходе
+  PostgreSQL 12, новейшей версии лидирующей реляционной системы управления
+  базами данных (СУБД) с открытым исходным кодом.
+</p>
+
+<p>
+  В PostgreSQL 12 значительно улучшена производительность запросов – особенно
+  это касается работы с большими объёмами данных – и произведена оптимизация
+  использования дискового пространства в целом. Разработчики приложений получают
+  такие новые возможности как:
+</p>
+
+<ul>
+  <li>реализация языка запросов JSON Path (важнейшей части стандарта SQL/JSON),</li>
+  <li>оптимизация исполнения общих табличных выражений (<code>WITH</code>),</li>
+  <li>поддержка генерируемых столбцов.</li>
+</ul>
+
+<p>
+  Кроме этого, PostgreSQL-сообщество продолжает работу над расширяемостью и
+  надёжностью PostgreSQL, развивая поддержку интернационализации, возможностей
+  аутентификации, предоставляя более простые пути администрирования системы. В
+  этот релиз также вошла реализация интерфейса подключаемых движков хранения,
+  что отныне позволяет разработчикам создавать свои собственные методы хранения
+  данных.
+</p>
+
+<p>
+  «Сообщество разработчиков PostgreSQL создало богатые возможности для
+  PostgreSQL 12, которые включают улучшения производительности и управления
+  пространством, что наши пользователи могут достичь за счёт минимальных усилий,
+  а также развитие вариантов аутентификации в крупных предприятиях, возможностей
+  администрирования и поддержки SQL/JSON», – говорит Дейв Пейдж (Dave Page),
+  член основной команды Всемирной группы разработки PostgreSQL. – «Выход новой
+  версии продолжает тенденцию на упрощение администрирования баз данных с
+  большими и малыми нагрузками, опираясь на репутацию PostgreSQL в отношении
+  гибкости, надежности и стабильности в производственных средах».
+</p>
+
+<p>
+  Используя плоды более чем 20 лет открытой разработки, PostgreSQL стал
+  предпочитаемой реляционной системой управления базами данных с открытым
+  исходным кодом в организациях любого масштаба. Проект продолжает получать
+  признание в индустрии: PostgreSQL получил звание «СУБД года» от проекта
+  DB-Engines второй год подряд и премию для открытых проектов
+  «Lifetime Achievement» на конференции OSCON 2019.
+</p>
+
+<h3>Общие улучшения производительности</h3>
+
+<p>
+  PostgreSQL 12 включает существенные улучшения производительности и процедур
+  обслуживания для систем индексирования и секционирования.
+</p>
+
+<p>
+  Индексы B-tree — стандартный тип индексирования в PostgreSQL — были
+  оптимизированы в версии 12 для нагрузок, предполагающих частые модификации
+  индексов. Использование эталонного теста TPC-C для PostgreSQL 12
+  продемонстрировало сокращение использования пространства в среднем на 40% и
+  общий прирост производительности запросов.
+</p>
+
+<p>
+  Запросы к секционированным таблицам также получили заметные улучшения,
+  особенно для таблиц, состоящих из тысяч секций, предполагающих работу только
+  с ограниченными частями массивов данных. В PostgreSQL 12 также улучшена
+  производительность добавления данных в секционированные таблицы с помощью
+  <code>INSERT</code> и <code>COPY</code>, а также возможность подсоединения
+  новой секции без блокирования выполняемых запросов.
+</p>
+
+<p>
+  В PostgreSQL 12 произведены дополнительные усовершенствования в
+  индексировании, которые влияют на общую производительность, включая:
+</p>
+
+<ul>
+  <li>снижение накладных расходов при генерации WAL для типов индексов GiST, GIN и SP-GiST,</li>
+  <li>возможность создавать так называемые покрывающие индексы (covering indexes, предложение <code>INCLUDE</code>) на GiST-индексы,</li>
+  <li>возможность выполнять запросы «К ближайших соседей» (k-NN search) с помощью оператора расстояния (<code>&lt;-&gt;</code>) с использованием индексов SP-GiST,</li>
+  <li>поддержку сбора статистики наиболее распространенных значений (most-common value, MCV) с помощью <code>CREATE STATISTICS</code>, что помогает получать лучшие планы выполнения запросов при использовании столбцов, значения для которых распределены неравномерно.</li>
+</ul>
+
+<p>
+  JIT-компиляция с использованием LLVM, появившаяся в PostgreSQL 11, теперь
+  включена по умолчанию. JIT-компиляция позволяет повышать производительность
+  при работе с выражениями в предложениях WHERE, целевых списках, агрегатах и
+  некоторых внутренних операциях. Она доступна, если вы скомпилировали
+  PostgreSQL с LLVM или используете пакет PostgreSQL, который был создан с
+  включённым LLVM.
+</p>
+
+<h3>Улучшения возможностей языка SQL и совместимости со стандартом</h3>
+
+<p>
+  PostgreSQL известен своим соответствием стандарту SQL - одна из причин, по
+  которой он был переименован из «POSTGRES» в «PostgreSQL». В PostgreSQL 12
+  добавлены несколько функций для развития реализации стандарта SQL с
+  расширенными функциональными возможностями.
+</p>
+
+<p>
+  В PostgreSQL 12 появилась возможность выполнять запросы к документам JSON с
+  использованием выражений пути JSON, определенных в стандарте SQL/JSON. Такие
+  запросы могут использовать существующие механизмы индексации для документов,
+  хранящихся в формате JSONB, для эффективного извлечения данных.
+</p>
+
+<p>
+  Общие табличные выражения, также известные как запросы с <code>WITH</code>, в
+  PostgreSQL 12 теперь могут автоматически исполняться с применением
+  подстановки, что, в свою очередь, может помочь повысить производительность
+  многих существующих запросов. В новой версии часть запроса <code>WITH</code>
+  может выполняться с подстановкой, только если она не является рекурсивной, не
+  имеет побочных эффектов и на неё ссылаются только один раз в последующей части
+  запроса.
+</p>
+
+<p>
+  В PostgreSQL 12 появляется поддержка «генерируемых столбцов». Описанный в
+  стандарте SQL, этот тип столбца вычисляет значение на основе содержимого
+  других столбцов в той же таблице. В этой версии PostgreSQL поддерживает
+  «хранимые генерируемые столбцы», где вычисленное значение хранится на диске.
+</p>
+
+<h3>Интернационализация</h3>
+
+<p>
+  PostgreSQL 12 расширяет поддержку ICU-сопоставлений, разрешая пользователям
+  определять «недетерминированные сопоставления», которые могут, например,
+  позволять сравнения без учёта регистра или без учёта ударения.
+</p>
+
+<h3>Аутентификация</h3>
+
+<p>
+  PostgreSQL расширяет свою поддержку надёжных методов аутентификации с помощью
+  нескольких улучшений, которые обеспечивают дополнительную безопасность и
+  функциональность. В этом выпуске представлено шифрование на стороне клиента и
+  на стороне сервера для аутентификации через интерфейсы GSSAPI, а также
+  возможность PostgreSQL обнаруживать серверы LDAP, если PostgreSQL
+  скомпилирован с OpenLDAP.
+</p>
+
+<p>
+  Кроме того, PostgreSQL 12 теперь поддерживает вариант многофакторной
+  аутентификации. Теперь серверу PostgreSQL может затребовать у клиента
+  предоставление валидного SSL-сертификата с соответствующим именем пользователя
+  с использованием <code>clientcert=verify-full</code>, и комбинировать это с
+  отдельным требованием метода аутентификации (например, <code>scram-sha-256</code>).
+</p>
+
+<h3>Администрирование</h3>
+
+<p>
+  В PostgreSQL 12 появилась возможность выполнять неблокирующее перестроение
+  индексов с помощью команды <code>REINDEX CONCURRENTLY</code>. Это позволяет
+  пользователям избегать простоя в работе СУБД при длительном перестроении
+  индексов.
+</p>
+
+<p>
+  Кроме того, в PostgreSQL 12 можно включать или отключать контрольные суммы
+  страниц в кластере, находящемся в выключенном состоянии, с помощью команды
+  <code>pg_checksums</code>. Ранее контрольные суммы страниц — функция,
+  помогающая проверить целостность данных, хранящихся на диске, — можно было
+  включить только в момент инициализации кластера PostgreSQL с помощью
+  <code>initdb</code>.
+</p>
+
+<p>
+  Полный список новых возможностей, вошедших в данный релиз, можно найти по
+  ссылке: <a href="/docs/12/release-12.html">https://www.postgresql.org/docs/12/release-12.html</a>.
+</p>
+{% endblock presskit_content %}
+
+{% block presskit_about %}
+<h2>О PostgreSQL</h2>
+
+<p>
+  <a href="/">PostgreSQL</a> является ведущей СУБД с открытыми исходными
+  текстами, с глобальным сообществом из тысяч пользователей и разработчиков,
+  объединяющим множество компаний и организаций. Проект PostgreSQL базируется на
+  более чем 30-летнем опыте проектирования и разработки, начавшихся в
+  Калифорнийском университете Беркли, и в настоящее время продолжает развиваться
+  беспрецедентными темпами. Богатый набор возможностей PostgreSQL не только не
+  уступает ведущим коммерческим СУБД, но и превосходит их развитой
+  функциональностью, расширяемостью, безопасностью и стабильностью.
+</p>
+
+<p>
+  Узнайте больше о PostgreSQL и примите участие в жизни сообщества на
+  <a href="/">PostgreSQL.org</a>.
+</p>
+{% endblock presskit_about %}
diff --git a/templates/pages/about/press/presskit12/zh.html b/templates/pages/about/press/presskit12/zh.html
new file mode 100644
index 00000000..2179daa8
--- /dev/null
+++ b/templates/pages/about/press/presskit12/zh.html
@@ -0,0 +1,85 @@
+{% extends "pages/about/press/presskit12/base.html" %}
+
+{% block presskit_content %}
+<h1>PostgreSQL 12 版本发布!</h1>
+
+<p>PostgreSQL全球开发组今天宣布，世界上功能最为强大的开源数据库发布PostgreSQL 12版本发布。</p>
+
+<p>PostgreSQL 12版在各方面都得到了加强，包括显著地提升查询性能，特别是对大数据集，总的空间利用率方面。</p>
+
+<p>这个版本为应用程序开发人员提供了更多的功能，比如对SQL/JSON路径表达式的支持，优化公共表达式（<code>WITH</code>查询）的执行，以及对生成列的支持等。
+PostgreSQL除了持续对PostgreSQL系统的可扩展性、稳健性进行开发外，还更多地在本地化、授权控制以及更加容易的管理进行增强。这个版本也引入了
+可插拨的表存取接口，来允许开发者在表的创建和使用时使用不同的存取方式。</p>
+
+<p>“在PostgreSQL后面的开发者社区为PostgreSQL 12版所作的大量工作，让我们用户可以以较小的成本换来性能和空间管理等储特性，包括企业级安全、
+后台管理和SQL/JSON支持等功能”，作为全球开发组核心成员之一的Dave Page说道，“这个版本延续了PostgreSQL一直以来的对大大小小各级别数据量
+的轻松管理，同时在生产环境中的兼具灵活性、可靠性，赢得了长期的声誉”。</p>
+
+<p>得益于超过20年以上的开源产品开发，PostgreSQL已成长为各种大小规模组织喜爱的开源关系数据库产品。系统持续得到行业的认可，2017、2018连
+续2年被DB-Engines评选为 "年度优秀数据库" ,2019年度又被OSCON国际开源组织评为“终身成就奖”的开源产品。</p>
+
+
+<h3>全面的性能提升</h3>
+
+<p>PostgreSQL 12版本在性能和易维护性方面有了显著的增强，尤其是对索引和分区子系统。</p>
+
+<p>PostgreSQL 12版对标准索引类型B树索引进行了优化，以使其可以可以更好地处理索引更新频率较高类型的负载的的总体性能，使用最常使用的TPC-C
+性能测试，PostgreSQL 12版平均可以提升约40%的空间利用率和查询性能。</p>
+
+<p>对分区表的查询也得到了较大改进，特别是对那些有数千个分区的表，而结果只需从几个有限的分区提取数据的查询。PostgreSQL 12版对通过INSERT
+和<code>COPY</code>指令将数据加入分区表的操作，也有加强，包括现在可以在不阻塞查询的情况下增加新的分区。</p>
+
+<p>另外，PostgreSQL 12版对索引的优化也提升了总体的性能，包括生成GiST、GIN或SP-GiST索引的WAL日志的负载显著减少，在GiST类型索引上创
+建<code>INCLUDE</code>选项的包含索引，SP-GiST索引现在支持&lt;-&gt;距离操作的K-NN（即相邻最近）查询，以及<code>CREATE STATISTICS</code>指令现在支持最常用值MCV
+的统计来帮助那些字段值非均匀分布的查询生成更优化的查询计划。</p>
+
+<p>通过使用LLVM，从PostgreSQL 11版引入的JIT即时编译，现在在PostgreSQL 12版中缺省已是启用状态，JIT即时编译对带有WHERE条件、对象列表、
+聚合以及一些内部操作都会提供性能上的帮助。当然，用户在安装或是编译时需要包含LLVM模块。</p>
+
+<h3>对SQL标准一致性和功能的增强</h3>
+
+<p>PostgreSQL一直以来以其对SQL标准符合性而著称，这也是其名称由POSTGRES改为PostgreSQL的一个小原因。PostgreSQL 12版又增加了几个新特性
+来持续实现对SQL标准的符合性的强化。</p>
+
+<p>PostgreSQL 12版加入了对JSON文档进行查询时使用JSON路径表达式的功能，这也是SQL/JSON中定义的规范。对使用JSONB格式保存的文档，这些查
+询可以利用已有的索引机制来高效地提取数据。</p>
+
+<p>公共表达式，也称之为WITH查询，在PostgreSQL 12版中可以实现非物化操作处理，这对很多现在已有的查询有很大帮助。目前在这个版本中，WITH
+查询的前提条件是非递归查询并且仅可被外层查询引用一次。</p>
+
+<p>PostgreSQL 12版也引入了“生成列”功能，这也是SQL标准中的要求，这些字段值是通过同一表中其它列计算而来的。在这一版本中，PostgreSQL支
+持“保存生成列值”的功能，即将这些计算出来的数据存储在磁盘上。</p>
+
+<h3>本地化</h3>
+
+<p>PostgreSQL 12版扩充了对ICU 排序规则的支持，允许用户自行定义非标准的排序方式，比如允许大小写不敏感或是按口音不敏感的比较规则。</p>
+
+<h3>授权控制</h3>
+
+<p>PostgreSQL 通过再次扩展了一些的安全方面的功能来强化了它本来就很稳健的权限控制。这个版本中通过GSSAPI接口支持客户端和服务端的双向加密，
+如果在编译时加入OpenLDAP模块，PostgreSQL也支持搜索LDAP服务器的功能。</p>
+
+<p>另外，PostgreSQL 12版现在支持多约束的授权方式。如在使用<code>scram-sha-256</code>的授权方式，PostgreSQL服务器现在可以强制一个客户端在提供
+用户名、使用<code>clientcert=verify-full</code>选项，再必须提供有效的SSL证书的方式来强化安全授权。</p>
+
+<h3>系统管理</h3>
+
+<p>PostgreSQL 12版的<code>REINDEX CONCURRENTLY</code>指令可以在不影响新的索引写入的前提下让用户执行重那建索引操作，这有助于用户实现不停机对
+较大索引的重建。</p>
+
+<p>还有，PostgreSQL 12版通过使用<code>pg_checksums</code>指令对停机的PostgreSQL来开启或关闭页校验功能，该功能有助于检查已写入磁盘的数据一致性，
+而以前版本中该操作仅允许在 <code>initdb</code>的阶段来执行。</p>
+
+<p>浏览完整的全部新特性或是改进功能列表，请参阅：<a href="/docs/12/release-12.html">https://www.postgresql.org/docs/12/release-12.html</a></p>
+{% endblock presskit_content %}
+
+{% block presskit_about %}
+<h2>关于PostgreSQL</h2>
+
+<p>
+  <a href="/">PostgreSQL</a>是世界上最先进的开源关系型数据库，它的全球社区是一个由数千名用户、开发人员、公司或其他组织而组成。 PostgreSQL项目
+有30年以上的历史，起源于加利福利亚的伯克利大学，经历了无数次开发升级。 PostgreSQL的专业特性不仅包含顶级商业数据库系统的功能
+特性，更是在高级数据库功能、数据库扩展性、数据库安全性和稳定性方面超过了它们。 若想获取到更多关于PostgreSQL的信息或者加入到
+PostgreSQL社区，请浏览 <a href="/">PostgreSQL.org</a> 网站。
+</p>
+{% endblock presskit_about %}
-- 
2.14.3 (Apple Git-98)

